Subject: Re: [RFC] Code reorgnization

From: Junio C Hamano <[email-masked]>
Date: Thu, 17 Mar 2016 09:21:02 -0700

Duy Nguyen <[email-masked]> writes:

> Good? Bad? Ugly?

Too fine-grained to induce confusion for things that have to work as
a bridge between two categories (e.g. odb & index).  In short, bad
and ugly.

I am OK with a looser classification e.g. (1) things that can be
used without Git at all like strbuf, string-list vs (2) things that
are Git but shared across different subcommands like read-cache,
sha1_file, vs (3) command implementations (e.g. builtin/ and also
standalone).